Bug 1274783 (CVE-2015-4879) - CVE-2015-4879 mysql: unspecified vulnerability related to Server:DML (CPU October 2015)
Summary: CVE-2015-4879 mysql: unspecified vulnerability related to Server:DML (CPU Oct...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-4879
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1276223 1276224 1276225 1304515 1304516 1330444 1330445 1342454
Blocks: 1274745
TreeView+ depends on / blocked
 
Reported: 2015-10-23 14:03 UTC by Martin Prpič
Modified: 2019-09-29 13:39 UTC (History)
25 users (show)

Fixed In Version: mysql 5.5.45, mysql 5.6.26, mariadb 5.5.45, mariadb 10.1.8, mariadb 10.0.21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:44:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0534 normal SHIPPED_LIVE Moderate: mariadb security and bug fix update 2016-04-01 01:50:48 UTC
Red Hat Product Errata RHSA-2016:1132 normal SHIPPED_LIVE Important: rh-mariadb100-mariadb security update 2016-05-26 12:35:06 UTC
Red Hat Product Errata RHSA-2016:1481 normal SHIPPED_LIVE Moderate: mariadb55-mariadb security update 2016-07-25 12:25:13 UTC

Description Martin Prpič 2015-10-23 14:03:40 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server : DML). Supported versions that are affected are 5.5.44 and earlier and 5.6.25 and earlier. Very difficult to exploit vulnerability allows successful authenticated network attacks via multiple protocols. Successful attack of this vulnerability can result in unauthorized takeover of MySQL Server possibly including arbitrary code execution within the MySQL Server.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixMSQL

Comment 1 Huzaifa S. Sidhpurwala 2015-10-29 06:15:40 UTC
This issue was addressed in mariadb-10.0.21 as per the release notes at:

https://mariadb.com/kb/en/mariadb/mariadb-10021-release-notes/

Comment 2 Huzaifa S. Sidhpurwala 2015-10-29 07:06:23 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1276224]

Comment 3 Huzaifa S. Sidhpurwala 2015-10-29 07:06:37 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1276223]

Comment 4 Huzaifa S. Sidhpurwala 2015-10-29 07:06:47 UTC
Created mariadb-galera tracking bugs for this issue:

Affects: fedora-all [bug 1276225]

Comment 6 Tomas Hoger 2016-01-25 22:19:50 UTC
Oracle CPU indicates this issue was fixed in MySQL 5.5.45 and 5.6.26, hence it was already corrected in the following updates released in August 2015:

Red Hat Enterprise Linux 5 - mysql55-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1628.html

Red Hat Software Collections - mysql55-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1629.html

Red Hat Software Collections - rh-mysql56-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1630.html

Comment 8 errata-xmlrpc 2016-03-31 21:58:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0534 https://rhn.redhat.com/errata/RHSA-2016-0534.html

Comment 10 errata-xmlrpc 2016-05-26 08:40:49 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2016:1132 https://access.redhat.com/errata/RHSA-2016:1132

Comment 12 errata-xmlrpc 2016-07-25 08:28:01 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2016:1481 https://rhn.redhat.com/errata/RHSA-2016-1481.html


Note You need to log in before you can comment on or make changes to this bug.